Subject: RE: Permissions get lost when moving files between drives.
From: [email-masked]
To: [email-masked]
Date: Mon, 19 Jan 2004 07:52:28 +0100

> There's no need to Cc: me, I read the list, hence the 
> Reply-To.  Please
> make sure your mailer respects that.

I'm sorry. Since I received the message as e-mail (from: you, to: David
Korn,
Cc: me and the list), I thought I would have to do a group-reply and send
my reply to all of them. 

Isn't this usually the correct thing - i.e. doing a reply-to-all?

I know from discussions on the *usenet*, that communications is usually done
via the newsgroup only, and copies by email are only sent on special
request;
but since I got this message by e-mail, I thought I should answer by e-mail
to.

Ronald

> > C:\cygwin\bin\id.exe output (ntsec)
> > UID: 56297(fischron)  GID: 10513(mkgroup_l_d)
> > 544(Administrators)   545(Users)
> > 10513(mkgroup_l_d)
> 
> So your user is a domain user...  Is the share accessible to the same
> domain user on the other machine?  

Yes

> Are the files owned by 
> that user?  

Yes. C: is the local drive, but H: is the drive where the Windows 
"My Documents" folder is located. By having it on the network drive, 
it is ensured that it can be accessed no matter what PC I'm logging on.

That's the theory at least. In practice, I'm always using the same system.
 
> The
> output of "getfacl" on both a file on the share and a local file would
> show some of this, so please post that.

Original file (on shared drive)

$ getfacl h:/tmp/x
# file: h:/tmp/x
# owner: fischron
# group: mkgroup_l_d
user::rw-
group::r--
other:r--
mask:rwx

After doing a mv h:/tmp/x c:/

$ getfacl y
# file: y
# owner: fischron
# group: mkgroup_l_d
user::---
group::---
group:SYSTEM:rwx
group:Administrators:rwx
mask:rwx
other:---

> 
> > SysDir: C:\WINNT\system32
> > WinDir: C:\WINNT
> >
> > CYGWIN = `tty ntsec'
> 
> You might want to explicitly turn on "smbntsec", too.  I know it's the
> default, but just to make sure.

THAT WAS IT! Now it works!!!!

> 
> > HOME = `h:\'
> > MAKE_MODE = `unix'
> > PWD = `/cygdrive/c'
> > USER = `user56297'
> 
> Hmm, interesting.  Did you modify your /etc/passwd from the output of
> "mkpasswd -d"?

Sorry, I do not understand this question. I remember that I had to change
the user and/or group id for my account to circumvent a bug in cygwin - 
this was shortly after installation, i.e. about half a year ago. This 
was following a suggestion of a contributor of this mailing list, but
I don't remember anymore wheather I had to do this by manually editing
/etc/passwd or by some other means.

What *is* interesting, though, is that mkpasswd -d hangs after the 2nd
entry:

$ mkpasswd -d
SYSTEM:*:18:544:,S-1-5-18::
Administrators:*:544:544:,S-1-5-32-544::

It is still possible to display /etc/passwd with cat or less:

SYSTEM:*:18:544:,S-1-5-18::
Administrators:*:544:544:,S-1-5-32-544::
Admin:unused_by_nt/2000/xp:1000:513:U-MUCW0291\Admin,S-1-5-21-602162358-1625
31612-725345543-1000:/home/Admin:/bin/bash
Guest:unused_by_nt/2000/xp:501:513:U-MUCW0291\Guest,S-1-5-21-602162358-16253
1612-725345543-501:/home/Guest:/bin/bash
Local_Adm:unused_by_nt/2000/xp:500:513:U-MUCW0291\Local_Adm,S-1-5-21-6021623
58-162531612-725345543-500:/home/Local_Adm:/bin/bash
Local_Defrag:unused_by_nt/2000/xp:1002:513:U-MUCW0291\Local_Defrag,S-1-5-21-
602162358-162531612-725345543-1002:/home/Local_Defrag:/bin/bash
fischron:unused_by_nt/2000/xp:56297:10513:fischron,U-EU\fischron,S-1-5-21-20
52111302-842925246-682003330-111833:/cygdrive/h:/bin/bash

I inspected /etc/passwd with od -xc, but did not spot anything usable
between
lines 2 and 3.

> >     Cygwin DLL version info:
> >         DLL version: 1.3.22
> 
> This is a very old version of the Cygwin DLL.  The latest 
> stable version
> is 1.5.5.  

You developers have a funny idea of "very old" ;-) 
It is just a bit over 6 months that I downloaded my cygwin. OK, I've
learned now: This is already very old.....

> You should upgrade and see if you still get this problem.

As the problem has now gone away by setting the CYGWIN environment variable,
I think I'll wait with the upgrade until another bug appears. Better not
fixing something which isn't broken yet.

Thank you for your help!

Ronald

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/